Projects

projects

Methods

Create Project ->
post/v1/projects

Create a new project

Get Project Details ->
get/v1/projects/{project_id}

Get details about a project

Update Project ->
patch/v1/projects/{project_id}

Update an existing project

path Parameters
project_id: string
Response fields
Request example
200Example
Delete Project ->
delete/v1/projects/{project_id}

Delete a project

List Projects -> Cursor<>
get/v1/projects

List all projects

Domain types

Project = { id, created_at, name, 3 more... }

Project response.

ProjectBlockchainResources = { rpc_nodes_dedicated, rpc_nodes_flex }

Blockchain resources.

ProjectCloudResources = { connect_connections, nks_clusters, nks_node_pools, 3 more... }

Cloud infrastructure resources.

ProjectList = { items, pagination }
ProjectResources = { blockchain, cloud }

Resource counts for the project.